
Figure - Bug #118546
【IOVDEV-32774】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】快手app，从小窗
模式到全屏模式，最上方状态栏没有消失
2023-06-05 20:12 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0106.C104��【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 快手从小窗模式切换到全屏模式时,它的windowingMode变成全屏模式,但是打开制作页面返回后,它的windowingMode又变成了freeform模式,导致caption显示了

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/05 19:45 第203次开机

【前提条件】：电源ON

【操作步骤】：

1、小窗模式打开快手app

2、全屏显示

3、点击中间制作视频

【实际结果】

全屏显示出现小窗状态栏

【期望结果】

全屏显示无小窗状态栏

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】快手10.10.30.28545

录屏&log:https://ofs.human-horizons.com/#/download/index/vIKizYYKcxQ%3D

History

#1 - 2023-06-05 20:35 - CD FW-鲁凯峰

■ Current conclusion

■ My analysis

快手内部自己会通过反射来设置windowingMode,初步分析应该是和我们的显示小窗工具栏的逻辑冲突了
■ Next Action

添加日志分析

#2 - 2023-06-06 19:39 - CD FW-鲁凯峰

- Root cause set to 快手从小窗模式切换到全屏模式时,它的windowingMode变成全屏模式,但是打开制作页面返回后,它的windowingMode又变成了freeform模

式,导致caption显示了

■ Current conclusion

问题已经解决

■ My analysis

快手从小窗模式切换到全屏模式时,它的windowingMode变成全屏模式,但是打开制作页面返回后,它的windowingMode又变成了freeform模式,导致caption显

示了

对快手应用单独处理caption的显示

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/205234

#3 - 2023-06-06 20:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205234 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update caption viewTC-RID: 1201-0204601IssueID: TS-R-BUG-118546Change-Id: Ic769526dfcdcf7db85ca59f02230ad240ee0a63e

#4 - 2023-06-06 20:03 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

#5 - 2023-06-07 10:21 - CDTS_Test 吴诗雨

已同步

#6 - 2023-06-09 13:56 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 版本上验证通过

#7 - 2023-06-09 18:38 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
Files

screen-20230605-194655.mp4 14.2 MB 2023-06-05 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000771_000203_0605194509.tar.gz6.17 MB 2023-06-05 CDTS_Test 吴诗雨
